Skip to main content
GET
Python

Authorizations

X-API-Key
string
header
required

The API key to use for authentication.

Headers

Miru-Version
string
required

The API version the client was built against.

Example:

"2026-05-06.rainier"

Path Parameters

device_id
string
required

The unique identifier of the device.

Example:

"dvc_123"

Query Parameters

expand
enum<string>[]

Fields to expand on the device resource.

Available options:
current_deployment,
current_release
Example:

Response

200 - application/json

Successfully retrieved the device.

object
enum<string>
required

The object type, which is always device.

Available options:
device
Example:

"device"

id
string
required

ID of the device.

Example:

"dvc_123"

name
string
required

Name of the device.

Example:

"My Device"

status
enum<string>
required

The status of the device.

  • Inactive: The miru agent has not yet been installed / authenticated
  • Activating: The miru agent is currently being installed / authenticated (should only last for a few seconds)
  • Online: The miru agent has successfully pinged the server within the last 60 seconds.
  • Offline: The miru agent has not successfully pinged the server within the last 60 seconds (e.g. network issues, device is powered off, etc.)
Available options:
inactive,
activating,
online,
offline
agent_version
string | null
required

The version of the agent the device is running.

Example:

"v1.0.0"

last_connected_at
string<date-time> | null
required

Timestamp of when the device was last made an initial connection (this is not the same as the last time the device was seen).

Example:

"2021-01-01T00:00:00Z"

last_disconnected_at
string<date-time> | null
required

Timestamp of when the device was last disconnected (this is not the same as the last time the device was seen).

Example:

"2021-01-01T00:00:00Z"

created_at
string<date-time>
required

Timestamp of when the device was created.

Example:

"2021-01-01T00:00:00Z"

updated_at
string<date-time>
required

Timestamp of when the device was last updated.

Example:

"2021-01-01T00:00:00Z"

current_deployment
Deployment · object | null

The current deployment for the device.

Example:
current_release
Release · object | null

The current release for the device.

Example:
Last modified on May 27, 2026